post
/v4/internal/key-value-stores/quotas
Grant a self-serve creator quota (BackOffice only)
Request body
object
ownerAddressstringrequired
Grantee addressmaxConfigsnumberrequired
Max configs this user may ownmaxSizeLimitnumberrequired
Ceiling on per-config sizeLimitallowedTypesenum[]required
Config types this user may createWHITELISTBLACKLISTBOOSTREFERRERFORWARDERAPRResponses
200Response for status 200
Schema
object
ownerAddressstringrequired
maxConfigsnumberrequired
maxSizeLimitnumberrequired
allowedTypesstring[]required
createdAtstringrequired
updatedAtstringrequired
Example
{
"ownerAddress": "string",
"maxConfigs": 0,
"maxSizeLimit": 0,
"allowedTypes": [
"string"
],
"createdAt": "string",
"updatedAt": "string"
}post
https://api.merkl.xyz/v4/internal/key-value-stores/quotascurl -X POST "https://api.merkl.xyz/v4/internal/key-value-stores/quotas" \
-H "Content-Type: application/json" \
-d '{ "ownerAddress": "string", "maxConfigs": 0, "maxSizeLimit": 0, "allowedTypes": [ "WHITELIST" ] }'Current params
{
"body": {
"ownerAddress": "string",
"maxConfigs": 0,
"maxSizeLimit": 0,
"allowedTypes": [
"WHITELIST"
]
}
}Live request — this will call https://api.merkl.xyz/ for real.